.unit-tests-template:
    stage: tests
    script:
        - cd my-app
        - npm run test
    artifacts:
        expire_in: never
        name: test-report
        paths: 
            - my-app/reports/junit.xml
        reports:
            junit:
                - my-app/reports/junit.xml
        when: always 
    dependencies:
        - install deps

unit (node 12):
    extends: .unit-tests-template
    image: node:12

unit (node 13):
    extends: .unit-tests-template
    image: node:13

unit (node 14):
    extends: .unit-tests-template
    image: node:14

unit (node 15):
    extends: .unit-tests-template
